\documentclass[../main.tex]{subfiles}
\graphicspath{{\subfix{../images/}}}

\begin{document}

\section{Resource requirements}

The central database is (as of December 2023) 1.2GB for 6.5 millions entries, growing around 300MB per year. It ingests a mean of \num{200000} new entries per month, accounting for 100 million data requests per month. The aggregation process reduces the database size by \replaced{500}{5} as compared to storing all local logs into a central database.

Maintaining the central system is a lightweight task, below the threshold of time accounting.

The amount of work for the development has been evaluated at one month of development for one full time equivalent. The developer's tasks was to:
\begin{itemize}
    \item make a data model for the central statistics data base;
    \item develop a web service to ingest the aggregates into the data base;
    \item develop the aggregator program to be deployed at all EIDA nodes;
    \item write a web interface to give access to the indicators.
\end{itemize}

The overall ingestion and data management system needs a small amount of code (approximately 700 lines of Python code), due to an efficient use of existing open source libraries and tools.
The code base for the web service is slightly larger. It is designed as a full-featured backend for interactive user interfaces. The API has been designed using the OpenAPI standard and is not likely to evolve. Therefore, the maintenance of this software is lightweight.

\end{document}

%%% Local Variables:
%%% mode: latex
%%% ispell-local-dictionary: en_GB
%%% End:
